welcher Python Connector

Probleme bei der Installation?
Antworten
Matter_Horn
User
Beiträge: 14
Registriert: Sonntag 26. November 2017, 20:55

Sonntag 26. November 2017, 21:06

Hallo Zusammen,
welche Version des Python Connector passt den für Python 3.6.3 für den MySQL Zugriff?
Die heruntergeladenen MSI-Dateien von https://dev.mysql.com/downloads/connector/python/ lassen sich alle nicht installieren.

Sage jetzt schon mal vielen Dank für eine Antwort.
Benutzeravatar
noisefloor
User
Beiträge: 2423
Registriert: Mittwoch 17. Oktober 2007, 21:40
Wohnort: Görgeshausen
Kontaktdaten:

Montag 27. November 2017, 07:43

Hallo,

lt. pypi sollte sich der mysqlpy Connector unter Python 3.6 nutzen lassen. Oder, alternativ, sollte cymysql unter Python 3.6 laufen.

Wenn du nicht #ausgründen zwingend MySQL benutzen musst, wäre PostgreSQL so wie so die bessere Wahl. Dafür gibt's auch ein Pyton Modul für Python 3.6 namens psycopg2.

Gruß, noisefloor
Matter_Horn
User
Beiträge: 14
Registriert: Sonntag 26. November 2017, 20:55

Montag 27. November 2017, 21:40

Hallo noisefloor,

Dank für Deine Antwort. Habe den Connector gesucht, weil dieser in "Einstieg in Python" von Th. Theis eingesetzt wird. Leider gelang mir weder eine Installation von der Buch-CD, noch vom Internet. Benötige nicht unbedingt MySQL. Schaue mir mal psycopg2 an.

Gruß
Benutzeravatar
noisefloor
User
Beiträge: 2423
Registriert: Mittwoch 17. Oktober 2007, 21:40
Wohnort: Görgeshausen
Kontaktdaten:

Dienstag 28. November 2017, 08:25

Hallo,

brauchst du denn überhaupt ein "großes" RDBMS wie PostgreSQL oder MySQL? Wenn du einfach nur mir einer relationalen Datenbank "spielen" willst, dann nimm' SQLite. Das hat Python inkl. Anbindung an Bord. Und der Zugriff funktioniert dank Python DB-API 2.0 gleich.

Gruß, noisefloor
Matter_Horn
User
Beiträge: 14
Registriert: Sonntag 26. November 2017, 20:55

Dienstag 28. November 2017, 23:00

Hallo,

mit meiner aktuellen Installation kann ich auf eine SQLite DB zugreifen. Werde mit dem DB Browser for SQLite meine DB erstellen und mit Python bearbeiten.

Gruß
Matter_Horn
User
Beiträge: 14
Registriert: Sonntag 26. November 2017, 20:55

Montag 11. Dezember 2017, 17:52

Hallo Zusammen,

habe die ersten kleinen Programme mit Python 3.6 und SQLite erstellt. Möchte Flask dazu installieren, um Web-Seiten zu gestalten.
Sind denn diese drei Komponenten kompatibel?

Grüße
Benutzeravatar
noisefloor
User
Beiträge: 2423
Registriert: Mittwoch 17. Oktober 2007, 21:40
Wohnort: Görgeshausen
Kontaktdaten:

Montag 11. Dezember 2017, 17:59

Hallo,

ja, sind sie.

Flask ist ein WSGI-Framework für Python. Das ist im eigentlichen Sinne nichts, um "Webseiten zu gestalten". Das kannst mit Flask aber (ziemlich gut), Python-basierte Webapplikationen schreiben.

Gruß, noisefloor
Antworten